Page MenuHomePhabricator

Add PowerPC FPR access to the process monitor
ClosedPublic

Authored by jhibbits on Jan 17 2015, 11:38 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

jhibbits updated this revision to Diff 18355.Jan 17 2015, 11:38 PM
jhibbits retitled this revision from to Add PowerPC FPR access to the process monitor.
jhibbits updated this object.
jhibbits edited the test plan for this revision. (Show Details)
jhibbits added a reviewer: emaste.
jhibbits added a subscriber: Unknown Object (MLST).
emaste edited edge metadata.Jan 28 2015, 7:32 PM

Would you mind reuploading with context (e.g. -U999999 if generating a diff and uploading through the web interface)?

jhibbits updated this revision to Diff 19108.Jan 31 2015, 10:37 PM
jhibbits edited edge metadata.

Diff with full context.

emaste accepted this revision.Feb 2 2015, 5:34 PM
emaste edited edge metadata.
emaste added inline comments.
source/Plugins/Process/POSIX/RegisterContextPOSIXProcessMonitor_powerpc.cpp
149 ↗(On Diff #19108)

double-check spaces vs tabs here

174–175 ↗(On Diff #19108)

Minor style point, I think it's better to have braces on all branches if any do.

This revision is now accepted and ready to land.Feb 2 2015, 5:34 PM
This revision was automatically updated to reflect the committed changes.